## reglookup 0.9.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 88 2007-03-07 01:35:18Z tim $
+# $Id: Makefile 111 2008-05-01 04:06:22Z tim $
 
 # Installation prefixes.  Change to install elsewhere.
 
@@ -10,9 +10,9 @@
 ################################################################################
 
 CC=gcc
-OPTS=-std=gnu89 -pedantic -Wall
+OPTS=-std=gnu89 -pedantic -Wall -ggdb
 INC=-I/usr/local/include
-LIB=-L/usr/local/lib
+LIB=-L/usr/local/lib -lm
 
 UNAME := $(shell uname)
 ifneq ($(UNAME),Linux)
