## reglookup 0.11.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 111 2008-05-01 04:06:22Z tim $
+# $Id: Makefile 147 2009-02-22 19:31:52Z tim $
 
 # Installation prefixes.  Change to install elsewhere.
 
@@ -11,13 +11,34 @@
 
 CC=gcc
 OPTS=-std=gnu89 -pedantic -Wall -ggdb
-INC=-I/usr/local/include
+#OPTS=-std=gnu89 -pedantic -Wall
+INC:=-I$(PWD)/include -I/usr/local/include 
 LIB=-L/usr/local/lib -lm
+BIN_EXT=
+EXTRA_OBJ=
 
 UNAME := $(shell uname)
 ifneq ($(UNAME),Linux) 	
   LIB:=$(LIB) -liconv
 endif
+
+
+################################################################################
+# MinGW cross-compiling build settings
+ifdef BUILD_MINGW
+
+## These may need to be changed
+CC=i586-mingw32msvc-cc
+LIBICONV_PATH=/usr/local/src/libiconv-1.9.2-1-lib
+
+## These probably do not need to be changed
+BIN_EXT=.exe
+INC:=$(INC) -I$(LIBICONV_PATH)/include
+EXTRA_OBJ=$(LIBICONV_PATH)/lib/libiconv.dll.a
+
+endif
+################################################################################
+
 
 BUILD=$(CURDIR)/build
 BUILD_BIN=$(BUILD)/bin
