## reglookup 0.12.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 147 2009-02-22 19:31:52Z tim $
+# $Id: Makefile 159 2009-12-06 20:09:01Z tim $
 
 # Installation prefixes.  Change to install elsewhere.
 
@@ -10,8 +10,8 @@
 ################################################################################
 
 CC=gcc
-OPTS=-std=gnu89 -pedantic -Wall -ggdb
-#OPTS=-std=gnu89 -pedantic -Wall
+OPTS=-std=gnu99 -pedantic -Wall -ggdb
+#OPTS=-std=gnu99 -pedantic -Wall
 INC:=-I$(PWD)/include -I/usr/local/include 
 LIB=-L/usr/local/lib -lm
 BIN_EXT=
