=== bin/Makefile ===
# $Id: Makefile 90 2007-03-28 19:22:38Z tim $

################################################################################

TIMELINE=$(BUILD_BIN)/reglookup-timeline
FILES=$(TIMELINE)

all: $(FILES)

$(TIMELINE):
	cp reglookup-timeline $@

install:
	install -m 0755 $(FILES) $(BIN_PREFIX)

clean:
	rm -f *~
