=== debian/changelog ===
reglookup (0.12.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/control: added the word 'forensics' in long description.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all information.
  * debian/patches/fix-FTBFS-with-ld: added to fix a FTBFS with ld --as-needed.
      Thanks to Matthias Klose <doko@ubuntu.com>. (Closes: #641558)
  * debian/source.lintian-overrides: removed. Using 'Team upload'.
  * debian/rules: added DEB_BUILD_MAINT_OPTIONS to improve the GCC hardening.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 23 Jun 2015 14:55:50 -0300

reglookup (0.12.0-2) experimental; urgency=medium

  * Team upload.
  * Bumped Standards-Version to 3.9.6.
  * Migrated the packaging to DebSrc3.0 format.
  * Updated DH level to 9 to allow GCC hardening.
  * debian/patches/: added the fix-string-error, that fix an
      elementary error that causes a FTBFS with DH9.
  * debian/rules: added the flags to make command to provide
      GCC hardening.
  * debian/watch:
      - Added new tracking rules.
      - Removed the old (not working) rule.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 17 Nov 2014 15:39:30 -0200

reglookup (0.12.0-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Minimizing rules file.

  [ Christophe Monniez ]
  * Merging upstream version 0.12.0.
  * Fixing license problem, bumping to GPL-3 (Closes: #574638).

  [ Michael Prokop ]
  * Bump Standards-Version to 3.8.4 (no further changes).

 -- Michael Prokop <mika@debian.org>  Tue, 30 Mar 2010 12:43:10 +0200

reglookup (0.11.0-2) unstable; urgency=low

  [ Daniel Baumann ]
  * Using $CURDIR instead of $PWD in rules file.

  [ Christophe Monniez ]
  * Fixing the rule that prevented the package to build.

 -- Daniel Baumann <daniel@debian.org>  Wed, 15 Jul 2009 01:09:03 +0200

reglookup (0.11.0-1) unstable; urgency=low

  [ Christophe Monniez ]
  * Merging upstream version 0.11.0 (Closes: #531784):
    - Workarounds docbook2x bugs (Closes: #524983).
  * Refactoring build rule to better fit the upstream Makefile.

  [ Daniel Baumann ]
  * Updating package to standards version 3.8.2.
  * Adding lintian overrides.

 -- Daniel Baumann <daniel@debian.org>  Thu, 09 Jul 2009 12:24:36 +0200

reglookup (0.9.0-2) unstable; urgency=low

  * Updating year in copyright file.
  * Updating to standards 3.8.1.
  * Tidy rules file.

 -- Daniel Baumann <daniel@debian.org>  Thu, 28 May 2009 22:16:36 +0200

reglookup (0.9.0-1) unstable; urgency=low

  [ Christophe Monniez ]
  * Merging upstream version 0.9.0.
  * Fixing the math library issue in rules.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Adding myself to copyright file.
  * Replacing obsolete dh_clean -k with dh_prep.

 -- Daniel Baumann <daniel@debian.org>  Tue, 23 Dec 2008 09:59:00 +0100

reglookup (0.4.0-1) unstable; urgency=low

  [ David Paleino ]
  * Initial release (Closes: #403244).
  * Changing copyright on packaging.
  * Fixed copyright information.

  [ Christophe Monniez ]
  * New maintainer.

  [ Daniel Baumann ]
  * Cleaning up rules file.
  * Adding full license headers to copyright file.
  * Sorting vcs fields in control file.
  * Upgrading package to debhelper 7.
  * Updating to standards 3.8.0.
  * Moving -Wall to CFLAGS for consistency.
  * Not using copyright symbols.
  * Fixing my incomplete commit from transforming the quilt patch to rules.
  * Reordering rules.
  * Removing unneeded debhelper calls from rules.
  * Overwriting variables in make call of rules rather than patching upstream
    makefile.
  * Rewriting copyright in machine readable form.
  * Don't use abbreviations for Windows version in package description.
  * Don't use (R) symbols in package description.
  * Correcting url to gitweb in control.
  * Setting maintainer address to Debian Forensics.
  * Bumping package to debhelper 6.

 -- Daniel Baumann <daniel@debian.org>  Mon, 16 Jun 2008 12:20:00 +0200
