=== debian/control ===
Source: reglookup
Section: utils
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Christophe Monniez <christophe.monniez@fccu.be>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://projects.sentinelchicken.org/reglookup/
Vcs-Browser: http://git.debian.net/?p=debian-forensics/reglookup.git
Vcs-Git: git://git.debian.net/git/debian-forensics/reglookup.git

Package: reglookup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to read and query Windows NT/2000/XP registry
 RegLookup is an small command line utility for reading and querying Microsoft
 Windows NT/2000/XP registries.
 .
 Currently the program allows one to read an entire registry and output it in a
 (mostly) standardized, quoted format. It also provides features for filtering
 of results based on registry path and data type.
 .
 RegLookup is useful in forensics investigations.
