=== debian/watch ===
version=3
http://projects.sentinelchicken.org/reglookup/download/ .*/(?:downloads|files)/reglookup(?:-src)?-(\d\S+)\.tar\.(?:bz2|gz|xz)
https://code.google.com/p/reglookup/downloads/list  .*name=reglookup(?:-src)?-(\d\S+)\.tar\.(?:bz2|gz|xz).*
