## reglookup 1.0.1%2Bsvn296

=== debian/changelog ===
reglookup (1.0.1+svn296-2) unstable; urgency=medium

  * Team upload.
  * d/p/fix-install.patch: Update patch to enable for successful hppa builds
    (Closes: #1114771). Thanks to John David Anglin for providing the fix.
  * d/watch: Convert it to version 5 format and switch to a working repository.
  * d/u/metadata: Update URLs to refer to a working repository.
  * d/control:
    - Drop 'Rules-Requires-Root: no', it's the standard now.
    - Bump Standards-Version to 4.7.2.
  * d/copyright:
    - Drop out-dated Upstream-Contact and Source fields.
    - Update packaging years.

 -- Sven Geuer <sge@debian.org>  Tue, 07 Oct 2025 17:05:52 +0200

reglookup (1.0.1+svn296-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Rework it to query the svn repo. The tarball's URL became
    unavailable.
  * New upstream version 1.0.1+svn296
  * d/p/*:
    - Update patches to match the new upstream version.
      - Drop fix-spelling.patch and fix-ftbfs-with-gcc-14.patch, fixed upstream.
      - Refresh fix-install.patch and fix-version.patch
    - Add 'Forwarded: not-needed' to fix-install.patch and fix-version.patch,
      upstream is inactive.
  * d/control:
    - Add python3-setuptools to Build-Depends (Closes: #1080790).
    - Let the Homepage field point to the latest URL version at
      web.archive.org.
  * d/rules + d/p/fix-install.patch: Make sure CPPFLAGS and CFLAGS get honored
    during build and install.

 -- Sven Geuer <sge@debian.org>  Mon, 30 Sep 2024 22:53:06 +0200

reglookup (1.0.1+svn287-10) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Apply multi-arch hints. + reglookup-doc: Add Multi-Arch: foreign.
  * Remove constraints unnecessary since buster (oldstable)

  [ Sven Geuer ]
  * d/p/*: Add patch fixing FTBFS with GCC-14 (Closes: #1075442).
  * d/libregfi1t64.symbols: Add Build-Depends-Package meta-information field.
  * d/libregfi1t64.lintian-overrides: Remove unused override.
  * d/control:
    - Bump Standards-Version to 4.7.0.
    - Apply "wrap-and-sort -at".
  * d/u/metadata: Rework metadata to comply with DEP-12.
  * d/copyright: Update debian/* stanza.

 -- Sven Geuer <sge@debian.org>  Tue, 20 Aug 2024 23:17:09 +0200

reglookup (1.0.1+svn287-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062852

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 22:53:09 +0000

reglookup (1.0.1+svn287-9) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.

  [ Giovani Augusto Ferreira ]
  * Update salsa-ci.yml to allow reprotest to fail temporarily
  * Bumped DH level to 13.
  * Bumped Standards-Version to 4.5.1
  * d/copyright: updated license text and years.

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian

 -- Giovani Augusto Ferreira <giovani@debian.org>  Tue, 02 Feb 2021 15:38:21 -0300

reglookup (1.0.1+svn287-8) unstable; urgency=medium

  [ Giovani Augusto Ferreira ]
  * Drop python2 support. Thanks to Sandro Tosi. (Closes: #938347)
  * Bumped DH level to 12.
  * debian/copyright: updated packaging copyright years
  * debian/control:
      - Added the field Rules-Requires-Root: no.
      - Bumped Standards version to 4.4.1.

  [ Samuel Henrique ]
  * Add salsa-ci.yml

 -- Giovani Augusto Ferreira <giovani@debian.org>  Sun, 27 Oct 2019 19:48:11 -0300

reglookup (1.0.1+svn287-7) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Giovani Augusto Ferreira ]
  * Bumped DH level to 11
  * Bumped Standards-Version to 4.2.1
  * Updated my email address
  * debian/control: updated the short description for libregfi-dev
  * debian/copyright: updated URI and packaging copyright years
  * Added upstream metadata file

 -- Giovani Augusto Ferreira <giovani@debian.org>  Thu, 06 Sep 2018 15:50:58 -0300

reglookup (1.0.1+svn287-6) unstable; urgency=medium

  * debian/rules: replaced rdfind+symlinks to jdupes. Thanks to Eriberto Mota
                  for patch. (Closes: #846839)

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Fri, 16 Dec 2016 18:43:19 -0200

reglookup (1.0.1+svn287-5) unstable; urgency=medium

  * debian/control:
      - Removed firefox-esr from Depends in reglookup-doc. (Closes: #843219)

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sat, 05 Nov 2016 23:02:20 -0200

reglookup (1.0.1+svn287-4) unstable; urgency=medium

  * Upload to unstable.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Thu, 13 Oct 2016 23:54:06 -0300

reglookup (1.0.1+svn287-3) experimental; urgency=medium

  * debian/rules: adjusted the building sequence in dh_install_indep.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Mon, 10 Oct 2016 20:49:57 -0300

reglookup (1.0.1+svn287-2) experimental; urgency=medium

  * debian/rules: variables changed to build reglookup-doc package.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Mon, 10 Oct 2016 15:33:01 -0300

reglookup (1.0.1+svn287-1) experimental; urgency=medium

  * New upstream release. (Closes: #644019)
  * New co-maintainer.
  * Update DH level to 10.
  * debian/clean: create to clean before build.
  * debian/control:
      - Added dependencies required by new release to build and install.
      - Added entries for new binaries and libraries.
      - Bumped Standards Version to 3.9.8.
      - Improved all descriptions.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright:
      - Removed entries of unused files.
      - Updated licenses and copyright years.
  * debian/libregfi1*: files created to build the library package.
  * debian/patches:
      - fix-FTBFS-with-ld removed, the new release do not use the Makefile.
      - fix-install.patch added, patch to fix the install paths and add

