=== lib/Makefile ===
--- 
+++ 
@@ -2,15 +2,12 @@
 
 ################################################################################
 
-FILES=regfi.o smb_deps.o winsec.o void_stack.o range_list.o lru_cache.o talloc.o
+FILES=regfi.o winsec.o void_stack.o range_list.o lru_cache.o talloc.o
 
 all: $(FILES)
 
 regfi.o: regfi.c
 	$(CC) $(CFLAGS) $(OPTS) $(INC) -c -o $@ regfi.c
-
-smb_deps.o: smb_deps.c
-	$(CC) $(CFLAGS) $(OPTS) $(INC) -c -o $@ smb_deps.c
 
 winsec.o: winsec.c
 	$(CC) $(CFLAGS) $(OPTS) $(INC) -c -o $@ winsec.c
