=== debian/control ===
Source: reglookup
Section: utils
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Giovani Augusto Ferreira <giovani@riseup.net>
Build-Depends: debhelper (>= 10),
               dh-python,
               docbook2x,
               doxygen,
               graphviz,
               jdupes,
               libtalloc-dev,
               libtalloc2,
               python-all,
               python3-all,
               scons (>= 2.3),
Standards-Version: 3.9.8
Homepage: http://projects.sentinelchicken.org/reglookup/
Vcs-Browser: https://anonscm.debian.org/git/forensics/reglookup.git
Vcs-Git: https://anonscm.debian.org/git/forensics/reglookup.git

Package: libregfi1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: utility to analysis for Windows NT-based registry (shared library)
 RegLookup is a system to direct analysis of Windows NT-based registry
 files providing command line tools, a C API, and a Python module for
 accessing registry data structures. The project has a focus on providing
 tools for digital forensics investigations (though is useful for many
 purposes), and includes algorithms for retrieving deleted data structures
 from registry hives.
 .
 Currently the program allows one to read an entire registry and output it
 in a (mostly) standardized, quoted format. It also provides features for
 filtering of results based on registry path and data type.
 .
 This package provides the runtime library.

Package: libregfi-dev
Architecture: any
Section: libdevel
Depends: libregfi1 (= ${binary:Version}), ${misc:Depends}
Description: utility to analysis for Windows NT-based registry (develop. files)
 RegLookup is a system to direct analysis of Windows NT-based registry
 files providing command line tools, a C API, and a Python module for
 accessing registry data structures. The project has a focus on providing
 tools for digital forensics investigations (though is useful for many
 purposes), and includes algorithms for retrieving deleted data structures
 from registry hives.
 .
 Currently the program allows one to read an entire registry and output it
 in a (mostly) standardized, quoted format. It also provides features for
 filtering of results based on registry path and data type.
 .
 This package provides the development files.

Package: reglookup
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: utility to analysis for Windows NT-based registry
 RegLookup is a system to direct analysis of Windows NT-based registry
 files providing command line tools, a C API, and a Python module for
 accessing registry data structures. The project has a focus on providing
 tools for digital forensics investigations (though is useful for many
 purposes), and includes algorithms for retrieving deleted data structures
 from registry hives.
 .
 Currently the program allows one to read an entire registry and output it
 in a (mostly) standardized, quoted format. It also provides features for
 filtering of results based on registry path and data type. The package
 provides the following commands: reglookup, reglookup-recover and
 reglookup-timeline.

Package: python-pyregfi
Architecture: all
Section: python
Depends: libregfi1 (>= ${binary:Version}), ${misc:Depends}, ${python:Depends}
Recommends: reglookup-doc
Description: Python Bindings for reglookup
 This package contains Python bindings to libregfi. There are the low-level
 data structures for winsec library and C API mappings for  accessing
 registry data structures.

Package: python3-pyregfi
Architecture: all
Section: python
Depends: libregfi1 (>= ${binary:Version}), ${misc:Depends}, ${python3:Depends}
Recommends: reglookup-doc
Description: Python 3 Bindings for reglookup
 This package contains Python 3 bindings to libregfi. There are the low-level
 data structures for winsec library and C API mappings for  accessing
 registry data structures.

Package: reglookup-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Suggests: libregfi-dev, python-pyregfi
Description: developer documentation for libregfi and python-pyregfi
 RegLookup is a system to direct analysis of Windows NT-based registry
 files providing command line tools, a C API, and a Python module for
 accessing registry data structures. The project has a focus on providing
 tools for digital forensics investigations (though is useful for many
 purposes), and includes algorithms for retrieving deleted data structures
 from registry hives.
 .
 Currently the program allows one to read an entire registry and output it
 in a (mostly) standardized, quoted format. It also provides features for
 filtering of results based on registry path and data type. The package
 provides the following commands: reglookup, reglookup-recover and
 reglookup-timeline.
 .
 This package contains the all developer documentation for libraries libregfi
 and python-pyregfi.
