=== debian/control ===
--- 
+++ 
@@ -1,28 +1,34 @@
 Source: reglookup
 Section: utils
 Priority: optional
-Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
-Uploaders: Giovani Augusto Ferreira <giovani@riseup.net>
-Build-Depends: debhelper (>= 10),
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Uploaders: Giovani Augusto Ferreira <giovani@debian.org>,
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                docbook2x,
                doxygen,
+               dpkg-dev (>= 1.22.5),
                graphviz,
                jdupes,
                libtalloc-dev,
                libtalloc2,
-               python-all,
                python3-all,
-               scons (>= 2.3),
-Standards-Version: 3.9.8
-Homepage: http://projects.sentinelchicken.org/reglookup/
-Vcs-Browser: https://anonscm.debian.org/git/forensics/reglookup.git
-Vcs-Git: https://anonscm.debian.org/git/forensics/reglookup.git
+               python3-setuptools,
+               scons,
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
+Homepage: https://web.archive.org/web/20240804024044/http://projects.sentinelchicken.org/reglookup/
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/reglookup
+Vcs-Git: https://salsa.debian.org/pkg-security-team/reglookup.git
 
-Package: libregfi1
+Package: libregfi1t64
+Provides: ${t64:Provides},
+Replaces: libregfi1,
+Breaks: libregfi1 (<< ${source:Version}),
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: utility to analysis for Windows NT-based registry (shared library)
  RegLookup is a system to direct analysis of Windows NT-based registry
  files providing command line tools, a C API, and a Python module for
@@ -40,8 +46,9 @@
 Package: libregfi-dev
 Architecture: any
 Section: libdevel
-Depends: libregfi1 (= ${binary:Version}), ${misc:Depends}
-Description: utility to analysis for Windows NT-based registry (develop. files)
+Depends: libregfi1t64 (= ${binary:Version}),
+         ${misc:Depends},
+Description: utility to analysis for Windows NT-based registry (devel files)
  RegLookup is a system to direct analysis of Windows NT-based registry
  files providing command line tools, a C API, and a Python module for
  accessing registry data structures. The project has a focus on providing
@@ -57,7 +64,8 @@
 
 Package: reglookup
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: utility to analysis for Windows NT-based registry
  RegLookup is a system to direct analysis of Windows NT-based registry
  files providing command line tools, a C API, and a Python module for
@@ -72,21 +80,13 @@
  provides the following commands: reglookup, reglookup-recover and
  reglookup-timeline.
 
-Package: python-pyregfi
-Architecture: all
-Section: python
-Depends: libregfi1 (>= ${binary:Version}), ${misc:Depends}, ${python:Depends}
-Recommends: reglookup-doc
-Description: Python Bindings for reglookup
- This package contains Python bindings to libregfi. There are the low-level
- data structures for winsec library and C API mappings for  accessing
- registry data structures.
-
 Package: python3-pyregfi
 Architecture: all
 Section: python
-Depends: libregfi1 (>= ${binary:Version}), ${misc:Depends}, ${python3:Depends}
-Recommends: reglookup-doc
+Depends: libregfi1t64 (>= ${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
+Recommends: reglookup-doc,
 Description: Python 3 Bindings for reglookup
  This package contains Python 3 bindings to libregfi. There are the low-level
  data structures for winsec library and C API mappings for  accessing
@@ -95,8 +95,11 @@
 Package: reglookup-doc
 Architecture: all
 Section: doc
-Depends: libjs-jquery, ${misc:Depends}
-Suggests: libregfi-dev, python-pyregfi
+Depends: libjs-jquery,
+         ${misc:Depends},
+Suggests: libregfi-dev,
+          python-pyregfi,
+Multi-Arch: foreign
 Description: developer documentation for libregfi and python-pyregfi
  RegLookup is a system to direct analysis of Windows NT-based registry
  files providing command line tools, a C API, and a Python module for
