=== debian/rules ===
--- 
+++ 
@@ -3,21 +3,21 @@
 export PYBUILD_NAME=pyregfi
 LIB_R_VERSION=1.0.1
 
-LIBDIR=$(CURDIR)/debian/libregfi1
+LIBDIR=$(CURDIR)/debian/libregfi1t64
 
 export DOCPATH=$(CURDIR)/debian/reglookup-doc/usr/share/doc/reglookup-doc
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_BUILD_HARDENING=1
 
 %:
-	dh $@ --buildsystem=pybuild --with python2,python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_build:
-	scons bin doc doc-devel
+	CFLAGS="$(CPPFLAGS) $(CFLAGS)" scons bin doc doc-devel
 	dh_auto_build
 
 override_dh_auto_install:
-	PREFIX=/usr DESTDIR=debian/reglookup MANDIR=/usr/share/man LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) scons install
+	CFLAGS="$(CPPFLAGS) $(CFLAGS)" PREFIX=/usr DESTDIR=debian/reglookup MANDIR=/usr/share/man LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) scons install
 	dh_auto_install
 
 override_dh_install-arch:
