=== debian/watch ===
version=4
opts=\
	mode=svn,\
	uversionmangle=s/0\.0~/1.0.1+/ \
https://code.blindspotsecurity.com/dav/reglookup/trunk \
HEAD
#opts=dversionmangle=s/\+svn287// \
#http://projects.sentinelchicken.org/reglookup/download/ .*/(?:downloads|files)/reglookup(?:-src)?-(\d\S+)\.tar\.(?:bz2|gz|xz)
